<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <h5 style="margin-top: 15px;">
       <span jhiTranslate="mpmApp.unitPreparation.detail.title">Unit Preparations</span>
    </h5>
    <br/>
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{unitPreparation.idSlip}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item" [hidden]="!(unitPreparation.currentStatus === 10 || unitPreparation.currentStatus === 11)">
                    <a class="btn" (click)="canceled()" style="cursor: pointer;">
                        <span><i class="fa fa-remove"></i> &nbsp;{{'entity.action.cancel' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="unitPreparation.currentStatus !== 12">
                    <a class="btn" (click)="completed()" style="cursor: pointer;">
                        <span><i class="fa fa-check"></i> &nbsp;{{'entity.action.completed' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="unitPreparation.currentStatus !== 11">
                    <a class="btn" (click)="approved()" style="cursor: pointer;">
                        <span><i class="fa fa-check"></i> &nbsp;{{'entity.action.approve' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item" [hidden]="unitPreparation.currentStatus !== 10">
                    <a class="btn" (click)="activated()" style="cursor: pointer;">
                        <span><i class="fa fa-check"></i> &nbsp;{{'entity.action.activate' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;">
                        <span><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;">
                        <span><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</span>
                    </a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.unitPreparation.slipNumber" for="field_slipNumber">Slip Number</label>
                        <input type="text" class="form-control" name="slipNumber" id="field_slipNumber"
                            [(ngModel)]="unitPreparation.slipNumber"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.unitPreparation.userMekanik" for="field_userMekanik">User Mekanik</label>
                        <input type="text" class="form-control" name="userMekanik" id="field_userMekanik"
                            [(ngModel)]="unitPreparation.userMekanik"  />
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.unitPreparation.shipTo" for="field_shipTo">Ship To</label>
                        <select class="form-control" id="field_shipTo" name="shipTo" [(ngModel)]="unitPreparation.shipToId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.name}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.unitPreparation.internal" for="field_internal">Internal</label>
                        <select class="form-control" id="field_internal" name="internal" [(ngModel)]="unitPreparation.internalId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.name}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.unitPreparation.facility" for="field_facility">Facility</label>
                        <select class="form-control" id="field_facility" name="facility" [(ngModel)]="unitPreparation.facilityId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.unitPreparation.inventoryItem" for="field_inventoryItem">Inventory Item</label>
                        <select class="form-control" id="field_inventoryItem" name="inventoryItem" [(ngModel)]="unitPreparation.inventoryItemId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="inventoryItemOption.idInventoryItem" *ngFor="let inventoryItemOption of inventoryitems; trackBy: trackInventoryItemById">{{inventoryItemOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.unitPreparation.orderItem" for="field_orderItem">Order Item</label>
                        <select class="form-control" id="field_orderItem" name="orderItem" [(ngModel)]="unitPreparation.orderItemId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="orderItemOption.idOrderItem" *ngFor="let orderItemOption of orderitems; trackBy: trackOrderItemById">{{orderItemOption.id}}</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>